NcWmsGetMetadata (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility.wms

## Class NcWmsGetMetadata

- java.lang.Object
- - org.gcube.spatial.data.geoutility.wms.NcWmsGetMetadata

-     public class NcWmsGetMetadata
      extends Object

  The Class NcWmsGetMetadata.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Dec 18, 2015

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `CONNECTION_TIMEOUT` The Constant CONNECTION_TIMEOUT.
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NcWmsGetMetadata()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NcWmsLayerMetadata` | `getMetadata(String wmsServerUri, String layerName)` Gets the metadata.
    `static NcWmsLayerMetadata` | `getMetadata(String wmsServerUri, String layerName, int connectionTimeout)` Gets the metadata.
    `static void` | `main(String[] args)` The main method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION_TIMEOUT

          protected static final int CONNECTION_TIMEOUT

      The Constant CONNECTION_TIMEOUT.
      See Also:
        Constant Field Values

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### NcWmsGetMetadata

          public NcWmsGetMetadata()

  - ### Method Detail

    - #### getMetadata

          public static NcWmsLayerMetadata getMetadata(String wmsServerUri,
                                       String layerName)
                                                throws Exception

      Gets the metadata.
      Parameters:
        `wmsServerUri` - the wms server uri
        `layerName` - the layer name
      Returns:
        the metadata
      Throws:
        `Exception` - the exception

    - #### getMetadata

          public static NcWmsLayerMetadata getMetadata(String wmsServerUri,
                                       String layerName,
                                       int connectionTimeout)
                                                throws Exception

      Gets the metadata.
      Parameters:
        `wmsServerUri` - the wms server uri
        `layerName` - the layer name
        `connectionTimeout` - the connection timeout sets a specified timeout value, in milliseconds, to be used when opening URLConnection.
      Returns:
        the metadata
      Throws:
        `Exception` - the exception

    - #### main

          public static void main(String[] args)

      The main method.
      Parameters:
        `args` - the arguments

Copyright © 2016. All Rights Reserved.